namespace VCommon.VApplication.EntityFrameworkCore
{
    public class VAppEfDataFilters
    {
        /// <summary> 控制 IMustHaveTenant.TenantId 字段，默认启用：当前登录用户所属 TenantId </summary>
        public const string MustHaveTenant = nameof(MustHaveTenant);

        /// <summary> 控制 IMayHaveTenant.TenantId 字段，默认启用：当前登录用户所属 TenantId </summary>
        public const string MayHaveTenant = nameof(MayHaveTenant);

        /// <summary> 控制 IMustHaveOrg.OrgId 字段，默认启用：当前登录用户所属 OrgId </summary>
        public const string MustHaveOrg = nameof(MustHaveOrg);
    }
}
